org.wildfly.swarm.config.elytron

## Class Policy<T extends Policy<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.Policy<T>

-     public class Policy<T extends Policy<T>>
      extends Object

  A definition that sets up a policy provider.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Policy(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Map` | `customPolicy()` A custom policy provider definition.
    `T` | `customPolicy(Map value)` A custom policy provider definition.
    `T` | `customPolicy(String key, Object value)` A custom policy provider definition.
    `String` | `getKey()`
    `Map` | `jaccPolicy()` A policy provider definition that sets up JACC and related services.
    `T` | `jaccPolicy(Map value)` A policy provider definition that sets up JACC and related services.
    `T` | `jaccPolicy(String key, Object value)` A policy provider definition that sets up JACC and related services.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Policy

          public Policy(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### customPolicy

          public Map customPolicy()

      A custom policy provider definition.

    - #### customPolicy

          public T customPolicy(Map value)

      A custom policy provider definition.

    - #### customPolicy

          public T customPolicy(String key,
                                Object value)

      A custom policy provider definition.

    - #### jaccPolicy

          public Map jaccPolicy()

      A policy provider definition that sets up JACC and related services.

    - #### jaccPolicy

          public T jaccPolicy(Map value)

      A policy provider definition that sets up JACC and related services.

    - #### jaccPolicy

          public T jaccPolicy(String key,
                              Object value)

      A policy provider definition that sets up JACC and related services.

Copyright © 2017 JBoss by Red Hat. All rights reserved.